---
api: 'Business API'
---

# Retrieve a list of transactions

Retrieve the historical transactions based on the provided query criteria.

The transactions are sorted by the `created_at` date in reverse chronological order, and they're **paginated**. 
The maximum number of transactions returned per page is specified by the `count` parameter. 
To get the next page of results, make a new request and use the `created_at` date from the last item of the previous page as the value for the `to` parameter.

:::note
The API returns a maximum of 1,000 transactions per request.
:::

For more details, see the guides: [Retrieve transaction data](/docs/guides/manage-accounts/accounts-and-transactions/retrieve-transactions).

## Endpoint

GET `/transactions`

## Parameters

### query parameters

- `from` (string, optional)
  The date and time you retrieve the historical transactions from, including this date-time.
  Corresponds to the `created_at` value of the transaction.
  Provided in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  
  Used also for pagination.
  To get back to the previous page of results, make a new request and use the `created_at` date from the first item of the current page as the value for the `from` parameter.

- `to` (string, optional)
  The date and time you retrieve the historical transactions to, excluding this date-time. 
  Corresponds to the `created_at` value of the transaction.
  Provided in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  The default value is the date and time at which you're calling the endpoint.
  
  Used also for pagination.
  To get the next page of results, make a new request and use the `created_at` date from the last item of the previous (current) page as the value for the `to` parameter.

- `account` (string, optional)
  The ID of the account

- `count` (integer, optional)
  The maximum number of the historical transactions to retrieve per page.
  
  To get the next page of results, make a new request and use the `created_at` date from the last item of the previous page as the value for the `to` parameter.

- `type` (enum, optional)
  The type of the historical transactions to retrieve.
  Possible enum values:

  - `atm`
  - `card_payment`
  - `card_refund`
  - `card_chargeback`
  - `card_credit`
  - `charge`
  - `charge_refund`
  - `exchange`
  - `transfer`
  - `loan`
  - `fee`
  - `refund`
  - `topup`
  - `topup_return`
  - `tax`
  - `tax_refund`

## Returns

### 200

List of historical transactions retrieved

#### Response attributes
